Bug Hunting Session
Bug 67957 - Font name reported in AXFont always Times New Roman
Summary: Font name reported in AXFont always Times New Roman
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0 target:4.1.2
Keywords:
Depends on:
Blocks: a11y-macOS
  Show dependency treegraph
 
Reported: 2013-08-09 19:09 UTC by Boris Dušek
Modified: 2013-12-16 13:58 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Dušek 2013-08-09 19:09:27 UTC
Summary:
When querying an AXTextArea for AXAttributedStringForRange and looking at the AXFont attribute in the returned string, the font reported is always Times New Roman regardless of what the actual font in the document is at that range.

Steps to reproduce:
1. Open Writer
2. Type some text into it
3. Select all text (Cmd+A)
4. Change its font to "Helvetica"
5.a. Query the AXAttributedStringForRange parameterized attribute of the corresponding AXTextArea and look at the AXFont value
or
5.b. Turn on VoiceOver (Cmd+F5) and press VO+T to hear textual attributes

Actual results:
5.a.: The dictionary contains these keys with these values: {
    AXFontFamily = "Times New Roman";
    AXFontName = "TimesNewRomanPSMT";
    AXFontSize = 12;
    AXVisibleName = "Times New Roman";
}
5.b.: VoiceOver says "12 point Times New Roman"

Expected results:
5.a.: The dictionary contains these keys with (approximately) these values: {
    AXFontFamily = "Helvetica";
    AXFontName = "HelveticaPSMT";
    AXFontSize = 12;
    AXVisibleName = "Helvetica";
}
5.b.: VoiceOver says "12 point Helvetica"

Regression:
Tested on OS X 10.8.4 with LibreOffice master (39a78087890fb9255a5e47220bac6cfb956fcfe0).
Comment 1 Commit Notification 2013-08-12 07:39:29 UTC
Boris Dušek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e9ae4da947cd9c3f75b6e4942f2ba52337df075

fdo#67957: Font name reported in AXFont always Times New Roman



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2013-08-20 13:36:16 UTC
Boris Dušek committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6edddefab9f46defc0cee262c38bb8eae32916a&h=libreoffice-4-1

fdo#67957: Font name reported in AXFont always Times New Roman


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Niklas Johansson 2013-12-16 13:58:00 UTC
Everything seems to work fine after the patches so I'm closing this as WORKSFORME.